#!/bin/bash

set -e

cd "$(dirname "$0")" || exit 1

urls=(
    https://download.fcitx-im.org/data/lm_sc.3gm.arpa-20140820.tar.bz2
    https://download.fcitx-im.org/data/dict.utf8-20200310.tar.xz
    https://download.fcitx-im.org/data/table.tar.gz
)

checksums () {
    echo 751bab7c55ea93a2cedfb0fbb7eb09f67d4da9c2c55496e5f31eb8580f1d1e2f lm_sc.3gm.arpa-20140820.tar.bz2
    echo f9e6b786698770a853317b1ab8972f8cd5eda50fa1f3e47d63a8d5f74c71f13d dict.utf8-20200310.tar.xz
    echo 6196053c724125e3ae3d8bd6b2f9172d0c83b65b0d410d3cde63b7a8d6ab87b7 table.tar.gz
}

for url in "${urls[@]}"; do
    curl -O "$url"
done

checksums | sha256sum --check

for url in "${urls[@]}"; do
    filename="${url##*/}"
    tar xf "$filename"
    rm -f "$filename"
done
